Subject: bug#70914: 29.3; Crashes often on Windows

From: Simen Endsjø <[email-masked]>
Date: Wed, 22 May 2024 15:34:44 +0200

>> I have some symlinked folders further down the tree too. And Developer Mode
>> enabled which allows me to register symlinks without admin rights.
>>
>> I have LongPathsEnabled, ref
>> https://learn.microsoft.com/en-us/windows/win32/fileio/maximum-file-path-limitation?tabs=registry
>
> My reading of the MS docs is that enabling that capability in the
> Registry is not enough, you also need to have the longPathAware
> element in the application manifest.  And Emacs doesn't have that
> (because we don't support it).  So Emacs should not get file names
> longer than 260 characters, AFAIU.  Maybe you could try this and see,
> for example Dired on some directory with a file with a longer name and
> see what happens.

Hmm, doesn't look my setting is working. Pretty sure it worked by just tweaking
this registry value on our servers, but if I check the group policy, it's states
as "enabled: no", and if I try to create a long path in PowerShell or Explorer,
it fails. So it doesn't seem like I have long paths enabled after all even
though the registry value is set. And as you state, the documentation also says
the application needs to register it.

>>     Reading symbols from
>> D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs.exe...
>>     (gdb) start --init-directory=d:/.emacs.d
>>     warning: could not convert 'main' from the host encoding (CP65001)
>> to UTF-32.
>>     This normally should not happen, please file a bug report.
>
> That message comes from GDB, and AFAIU is a GDB bug.  It should be
> reported, I think.

I have only seen this on Hannes' gdb, not the one from mingw.

On Wed, May 22, 2024 at 2:26 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Simen Endsjø <[email-masked]>
> > Date: Tue, 21 May 2024 22:31:52 +0200
> > Cc: Eli Zaretskii <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> >
> > I have some symlinked folders further down the tree too. And Developer Mode
> > enabled which allows me to register symlinks without admin rights.
> >
> > I have LongPathsEnabled, ref
> > https://learn.microsoft.com/en-us/windows/win32/fileio/maximum-file-path-limitation?tabs=registry
>
> My reading of the MS docs is that enabling that capability in the
> Registry is not enough, you also need to have the longPathAware
> element in the application manifest.  And Emacs doesn't have that
> (because we don't support it).  So Emacs should not get file names
> longer than 260 characters, AFAIU.  Maybe you could try this and see,
> for example Dired on some directory with a file with a longer name and
> see what happens.
>
> >     Reading symbols from
> > D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs.exe...
> >     (gdb) start --init-directory=d:/.emacs.d
> >     warning: could not convert 'main' from the host encoding (CP65001)
> > to UTF-32.
> >     This normally should not happen, please file a bug report.
>
> That message comes from GDB, and AFAIU is a GDB bug.  It should be
> reported, I think.